class Partner < ActiveRecord::Base
  belongs_to :user
  has_many :invoices
end

def get_sel_partners(user, name, default)
  s = "<select name=\"#{name}\">\n"
  ary = Partner.find(:all, :conditions => ['user_id = ?', user.id])
  ary.each {|r|
    selected = (default == r.id) ? " selected" : ""
    s << "<option#{selected} value=\"#{r.id}\">#{CGI.escapeHTML(r.name)}</option>\n"
  }
  s << "</select>\n"
  return Amrita::SanitizedString[s]
end
