#!/home/netsphere/bin/ruby
# -*- coding:utf-8 -*-

# Q's Account Book
# Copyright (c) 2002 HORIKAWA Hisashi. All rights reserved.
#   mailto:vzw00011@nifty.ne.jp
#   http://www.nslabs.jp/

require "pcview.rb"

class Form < PCView
  def main
    begin_date, end_date = UserSetting.get_ac_month(user)
    fixed = user.user_setting.fixed_date

    header_out(cgi, "締め処理")
    print <<EOF
<p>締め切り日を入力してください。締めると，その日付以前の仕訳の登録，削除ができなくなります。
<p>現在の締め切り日：#{fixed}
<form method="post" action="./close2.rb">
<table class="frm">
<tr><th align="right">新しい締め切り日：<td>
  <input type="text" class="num" size="6" name="year" value="#{end_date.year}">年
  <input type="text" class="num" size="4" name="mon" value="#{end_date.mon}">月
  <input type="text" class="num" size="4" name="day" value="#{end_date.day}">日
<tr><td colspan="2"><input type="submit" value="締める">
</table>
</form>
EOF
    footer_out(cgi)
  end
end

run(Form.new)
