#!/home/netsphere/bin/ruby
# -*- coding:utf-8 -*-

# Q's Account Book
# Copyright (c) 2002-2007 HORIKAWA Hisashi. All rights reserved.
#   mailto:vzw00011@nifty.ne.jp
#   http://www.nslabs.jp/

# 勘定科目一覧および説明

require "pcview.rb"
require APP_ROOT + '/models/account_title'

class Form < PCView
  def main
    model = {:list => []}
    items = AccountTitle.find(:all, :conditions => ['user_id = ?', user.id],
                              :order => 'sort')
    items.each {|item|
      model[:list] << {
        :name => CGI.escapeHTML(item.name),
        :desc => CGI.escapeHTML(item.description)
      }
    }

    page_out("help-items.html", model)
  end
end

run(Form.new)
