#!/home/netsphere/bin/ruby

# Q's Account Book
# Copyright (c) 2002 HORIKAWA Hisashi. All rights reserved.
#   mailto:vzw00011@nifty.ne.jp
#   http://www.nslabs.jp/

# 携帯用入力画面

require 'nkf'
require "ac-items.rb"
require "jskyview.rb"

$SAFE = 1

class Form < JSkyView
  def main
    ac_titles = AcTitleStore.get(user).delete_if {|e|
      if e.name_short && e.name_short != "" then false else true end
    }
    keys = ac_titles.code_list.sort
    now = Time.now
    now = Date.new(now.year, now.mon, now.day) - 1 if now.hour < 3

    print <<EOF
Content-Type:text/html; charset=Shift_JIS
Cache-Control:no-cache

EOF

    html = <<EOF
<html>
<head>
  <title>出金伝票</title>
</head>
<body>
<h1>出金伝票</h1>
EOF
    html += cgi.form("get", "./jf.rb") {
      s = <<EOF
<input type="hidden" name="a" value="p">
#{menu_control("m", 1..12, now.mon)}月#{menu_control("d", 1..31, now.day)}日<br>
貸方:#{menu_control("t", keys, 1130) {|k|
  CGI.escapeHTML(ac_titles.find_by_code(k).name_short)}}
EOF
      lines = 0
      (1..3).each {|i|
        s += "<hr>"
        s += menu_control("k-#{i}", keys, 8310) {|k|
                CGI.escapeHTML(ac_titles.find_by_code(k).name_short)}
        s += <<EOF
<input name="v-#{i}" size="7" type="text" istyle="4" mode="numeric"><br>
相手:<input name="r-#{i}" size="10" type="text" mode="hiragana"><br>
内容:<input name="c-#{i}" size="10" type="text" mode="hiragana">
<input type="submit" value="送信">
EOF
        lines += 1
      }
      s += <<EOF
<hr>
<input type="hidden" name="lines" value="#{lines}">
EOF
      s
    }
    print e2s(html)
    footer_out()
  end
end

run(Form.new)
