#!/home/netsphere/bin/ruby
# -*- coding:utf-8 -*-

# Q's Account Book
# Copyright (c) 2002-2007 HORIKAWA Hisashi. All rights reserved.
#   mailto:vzw00011@nifty.ne.jp
#   http://www.nslabs.jp/

# PC用仕訳入力（振替伝票）

require "pcview.rb"
require APP_ROOT + '/models/account_title'

class Form < PCView
  def main()
    date = Time.now
    date = Date.new(date.year, date.mon, date.day) - 1 if date.hour < 3

    period = UserSetting.get_addable_period(user)
    
    # 表示
    lines = 12 # magic
    model = {
      :period => "#{period[0]} 〜 #{period[1]}",
      :list => [],
      :lines => lines,
      :notice => get_flash("notice")
    }
    (1..lines).each {|i|
      h = {
        :mon => "mon#{i}",
        :day => "day#{i}",
        :day_sel => "openCalendar(null, this.form.mon#{i}, this.form.day#{i}, event, 'mm/dd');",
        :dr_items => (i == 1 ? get_sel_active_items(user, "drcode-#{i}", nil) :
                      get_sel_active_items_with_zero(user, "drcode-#{i}", nil)),
        :cr_items => (i == 1 ? get_sel_active_items(user, "crcode-#{i}", nil) :
                      get_sel_active_items_with_zero(user, "crcode-#{i}", nil)),
        :amount => "amount-#{i}",
        :remarks => "remarks-#{i}",
        :comment => "comment-#{i}"
      }
      if i == 1
        h[:monv] = date.mon
        h[:dayv] = date.day
      else
        h[:cont] = {:cont => "cont-#{i}"}
      end
      model[:list] << h
    }
    page_out("journal.html", model)
  end
end

run(Form.new)
