#!/home/netsphere/bin/ruby
# -*- coding:utf-8 -*-

# Q's Account Book
# Copyright (c) 2002-2007 HORIKAWA Hisashi. All rights reserved.
#   mailto:vzw00011@nifty.ne.jp
#   http://www.nslabs.jp/

# 仕訳の確認・確定

require "pcview.rb"
require "journal-common.rb"

class JournalConfirmPage < ConfirmAction
  def execute(af)
    @action_url = "./journal2.rb"
    return execute_sub(af)
  end
end

class AddJournalApp < PCView
  def main()
    actions = {
      "confirm" => [JournalActionForm, JournalConfirmPage, JournalConfirmPage],
      "determine" => [JournalActionForm, DetermineAction, JournalConfirmPage]
    }
    dispatch(actions)
  end
end

AddJournalApp.new.run
