#!/home/netsphere/bin/ruby

# Q's Account Book
# Copyright (c) 2002 HORIKAWA Hisashi. All rights reserved.
#   mailto:vzw00011@nifty.ne.jp
#   http://www.nslabs.jp/

require "pcview.rb"

$SAFE = 1

class Form < PCView
  def form_out()
    cgi_header_out(nil)

    print <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
            "http://www.w3.org/TR/html4/loose.dtd">
<html lang="ja">
<head>
  <link rel="stylesheet" href="./default.css" type="text/css" charset="Shift_JIS">
  <link rel="stylesheet" href="#{theme_url(user)}" type="text/css">
  <script charset="Shift_JIS" type="text/javascript" src="./scripts.js"></script>
  <title>ログアウト: #{SITE_NAME}</title>
</head>
<body>
<h1>ログアウト</h1>
EOF

    print <<EOF
<p>ログアウトしました。サービスを利用するときは、ログインしなおしてください。
<p><a href="#{AppConfig[:site_top_url]}">[#{AppConfig[:site_name]} トップページ]</a>
EOF
    footer_out(nil)
  end

  def main
    session.delete
    @user = nil
    form_out()
  end
end

run(Form.new)
