#!/home/netsphere/bin/ruby
# -*- encoding:UTF-8 -*-

# Q's Account Book
# Copyright (c) 2002-2004 HORIKAWA Hisashi. All rights reserved.
#   mailto:vzw00011@nifty.ne.jp
#   http://www.nslabs.jp/

require "pcview.rb"

$SAFE = 1

class Form < PCView
  def format_mail(ent, mobileaddr)
    url = "#{SITE_URL}j.rb?user=#{CGI.escape(ent.name)}"

    header = {"From" => FROM_ADDR,
              "To" => mobileaddr,
              "MIME-Version" => "1.0",
              "Content-Type" => "text/plain; charset=ISO-2022-JP",
              "Subject" => "#{SITE_NAME}: ケータイ用URL",
              "Reply-To" => ADMIN_ADDR }

    mailbody = <<EOF
#{ent.gecos}さんのケータイ用URLは、
#{url}
です。
--
#{SITE_NAME} お問合せ先 mailto:#{ADMIN_ADDR}
EOF
    return [header, mailbody]
  end

  def main
    ent = db.get_passwd(user)
    mobileaddr = cgi["m"].first
    if !valid_mail_addr(mobileaddr)
      model = {
        :error=>{:error_message=>"不正なメールアドレスです。"},
        :m=>mobileaddr
      }
      page_out("sendmobile.html", model)
    else
      send_mail(format_mail(ent, mobileaddr))

      model = {
        :mobileaddr => mobileaddr
      }
      page_out("sendmobile2.html", model)
    end
  end
end

Form.new.run
