-- -*- coding:utf-8 -*-
-- 仕訳（1行の）
CREATE TABLE journal_entries (
  id         serial PRIMARY KEY,
  user_id    int NOT NULL REFERENCES users(id),
  date       DATE NOT NULL,  -- 日付
  entry_no   int NOT NULL,   -- 伝票番号
  dr_code    int NOT NULL REFERENCES account_titles(id),  -- 借方科目
  cr_code    int NOT NULL REFERENCES account_titles(id),  -- 貸方科目
  amount     int NOT NULL, -- 金額
  remarks    VARCHAR(100) NOT NULL, -- 相手
  comment    VARCHAR(250) NOT NULL, -- 内容
  invoice_id int REFERENCES invoices(id),    -- 請求書の一部となる仕訳
  payment_amount_id int REFERENCES payment_amounts(id),  -- 支払い
  created_at TIMESTAMP NOT NULL,  -- 作成時刻
  updated_at TIMESTAMP -- 更新時刻
);
