-- -*- coding:utf-8 -*-
CREATE TABLE user_settings (
  user_id          int PRIMARY KEY REFERENCES users(id),

  unappropriated_item int REFERENCES account_titles(id), -- 未処分利益科目
  -- 初期残高 = この翌日から仕訳を入力できる。
  opening_date     DATE,      -- 記帳開始日（利用開始日ではなく、初期設定で任意に設定）
  fixed_date       DATE,      -- 締め日
  closing_day      int NOT NULL,  -- 月末日  ex. 25日
  ledger_last_item int REFERENCES account_titles(id), -- 元帳の前回の勘定科目名
  payable_item     int REFERENCES account_titles(id), -- 未払金勘定
  theme_name       VARCHAR(40),  -- 画面テーマの名前

  entry_no_counter int NOT NULL, -- 伝票番号を生成
  week_last_wday   int        -- 週次推移表で、週末日
);
