
# -*- mode:ruby; encoding:euc-jp -*-

# ruby library
# Copyright (c) 1999-2003 HORIKAWA Hisashi. All rights reserved.
#     mailto:vzw00011@nifty.ne.jp
#     http://www.nslabs.jp/

# ١Ȥؿ

require "socket"

# ե̾γĥҤ
# ĥҤˤϡԥꥪɤϴޤޤʤ
def get_ext_name(pathname, ext = nil)
  base = File.basename(pathname)
  r = base.rindex('.')
  if r == nil || r == 0
    return ext
  else
    return base[r + 1, base.length]
  end
end

# 3头Ȥ','
def decimal_format(s)
  return nil if !s
  if s >= 0
    str = s.to_s.reverse
    return str.scan(/.?.?./).join(',').reverse
  else
    str = (-s).to_s.reverse
    return "-" + str.scan(/.?.?./).join(',').reverse
  end
end

def get_counter(fname)
  File.open(fname, "r") {|count_f|
    count_f.flock(File::LOCK_SH)  
    return count_f.gets.to_i
  }
end

# 󥿤ûʲûΡ˿ֹ֤
def incr_counter(fname, mode = File::RDWR | File::CREAT)
  cnt = nil
  File.open(fname, mode) {|fp|
    fp.flock(File::LOCK_EX)
    cnt = fp.gets.to_i + 1
    fp.rewind
    fp.truncate(0)
    fp.puts(cnt)
  }
  return cnt
end

# XMLΥ°Ф
# s = "attr="val" attr="val">" # ̾ϴޤޤʤ
def get_attrs(s)
  r = Hash.new
  while s =~ /([a-zA-Z][a-zA-Z0-9]*)[ \t\r\n]*=[ \t\r\n]*\"([^\"]*)\"/
    attr_name = $1.downcase
    attr_value = $2.strip
    s = $'
    r[attr_name] = attr_value
  end
  r
end

# 1. IPɥ쥹ʸ󤫤ۥ̾
# 2. ۥ̾
# @return 
#     IPɥ쥹ʸͿ졢ۥ̾ǤʤȤϡIPɥ쥹ʸ֤
#     ۥ̾Ϳ졢줬¸ߤʤäȤϡnil֤
def get_hostname(ipstr)
  return nil if !ipstr
  raise TypeError if !ipstr.is_a?(String)

  begin
    return Socket.getnameinfo([nil, nil, ipstr])[0]
  rescue SocketError
    begin
      return Socket.gethostbyname(ipstr)[0]
    rescue SocketError
      return nil
    end
  end
end
