
require APP_ROOT + '/models/partner'
require APP_ROOT + '/models/journal_entry'

class Invoice < ActiveRecord::Base
  belongs_to :user
  belongs_to :partner
  has_many :payment_amounts
  has_many :journal_entries

  def get_paid
    if !@paid_
      @paid_ = 0
      if payment_amounts
        payment_amounts.each {|pay| @paid_ += pay.amount}
      end
    end
    return @paid_
  end
end
