
# $B%f!<%6@_Dj(B
class UserSetting < ActiveRecord::Base
  belongs_to :user
  set_primary_key :user_id

  # $B;ELuDI2C2DG=4|4V(B
  def self.get_addable_period(user)
    r = find(:first, :conditions => ['user_id = ?', user.id])
    raise if !r
    return [r.fixed_date + 1, (r.fixed_date + 1) + 50]
  end

  # $BDy$aF|$NMbF|$+$i<!$N7nKvF|$^$G(B
  def self.get_ac_month(user)
    r = find :first, :conditions => ['user_id = ?', user.id] 
    raise if !r

    begin_date = r.fixed_date + 1
    if begin_date.day <= r.closing_day
      y = begin_date.year
      m = begin_date.mon
    else
      y = next_month(begin_date).year
      m = next_month(begin_date).mon
    end
    d = r.closing_day
    while !Date.exist?(y, m, d)
      d -= 1
    end
    return [begin_date, Date.new(y, m, d)]
  end
end
