#!/home/netsphere/bin/ruby
# -*- coding:utf-8 -*-

# Q's Account Book
# Copyright (c) 2002 HORIKAWA Hisashi. All rights reserved.
#   mailto:vzw00011@nifty.ne.jp
#   http://www.nslabs.jp/

require "pcview.rb"

class Form < PCView
  def main
    begin_date, end_date = UserSetting.get_ac_month(user)

    header_out(cgi, "予算実績対比")
    print <<EOF
<p>対比する期間を指定してください。

<form method="post" action="./actual2.rb">
<table class="frm">
  <tr><th align="right">自：
    <td><input type="text" class="num" size="6" name="byear" value="#{begin_date.year}">年
      <input type="text" class="num" size="4" name="bmon" value="#{begin_date.mon}">月
      <input type="text" class="num" size="4" name="bday" value="#{begin_date.day}">日
  <tr><th align="right">至：
    <td><input type="text" class="num" size="6" name="eyear" value="#{end_date.year}">年
      <input type="text" class="num" size="4" name="emon" value="#{end_date.mon}">月
      <input type="text" class="num" size="4" name="eday" value="#{end_date.day}">日
  <tr><td colspan="2" align="center"><input type="submit" value="次へ &gt;&gt;">
</table>
</form>
EOF

    footer_out(cgi)
  end
end

run(Form.new)
