# -*- mode:ruby; coding:utf-8 -*-
# バナー広告を生成

CONF_DIR = '/home/hori/public_html/conf'

require CONF_DIR + "/system-conf.rb"
require CONF_DIR + "/webcounter-conf.rb"
require LIBRARY_DIR + "/common.rb"
require LIBRARY_DIR + "/cgisup.rb"

$SAFE = 1
ENV['PATH'] = '/bin'

class Banner
  def head_out(pagename, coding)
    s = <<EOF
<div id="container">
EOF
    print s
  end

  def banner_body(pagename, coding)
    s = <<EOF
<p>[PR]<br>
    


<!-- VC active -->
<SCRIPT LANGUAGE="JavaScript">
<!--
// ValueParameters
ValueHost = "hs0014065";
ValueLoaded = false;
ValueID = "pagebuster";
ValueVersion = "1.2";
ValueBannerType = "std";
var ValueWidths_Heights = new Array("468x60");

ValueNoText = 1;
ValueBannerSizeOrder =  "listed";

//-->
</SCRIPT>
<SCRIPT LANGUAGE="Javascript" SRC="http://oz.valueclick.ne.jp/jsmaster"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
<!--
if (ValueLoaded) ValueShowAd();
//-->
</SCRIPT>


<NOSCRIPT>

      <A HREF="http://oz.valueclick.ne.jp/redirect?host=hs0014065&t=std&b=#{pagename}&noscript=1&v=0;msizes=468x60;bso=listed" TARGET="_top"><IMG BORDER="0" WIDTH="468" HEIGHT="60" ALT="Click here to visit our sponsor"
      SRC="http://oz.valueclick.ne.jp/cycle?host=hs0014065&t=std&b=#{pagename}&noscript=1;msizes=468x60;bso=listed"></A>

</NOSCRIPT>
<!-- vc active -->




<div id="subbar">






<p>[PR]
<!-- VC active -->
<div style="margin-top:0;margin-bottom:1em">
<SCRIPT type="text/javascript">
<!--
// ValueParameters
ValueHost = "hs0014065";
ValueLoaded = false;
ValueID = "valueid";
ValueVersion = "1.1";
ValueWidth = 125;
ValueHeight = 125;
//-->
</SCRIPT>
<SCRIPT type="text/javascript" SRC="http://oz.valueclick.ne.jp/jsmaster"></SCRIPT>
<SCRIPT type="text/javascript">
<!--
if (ValueLoaded) ValueShowAd();
//-->
</SCRIPT>
<NOSCRIPT>
<A HREF="http://oz.valueclick.ne.jp/redirect?host=hs0014065&amp;size=125x125&amp;b=#{pagename}&amp;v=0" TARGET="_top"><IMG BORDER="0" WIDTH="125" HEIGHT="125" ALT="Click here to visit our sponsor"
SRC="http://oz.valueclick.ne.jp/cycle?host=hs0014065&amp;size=125x125&amp;b=#{pagename}&amp;noscript=1"></A>
</NOSCRIPT>
</div>
<!-- vc active -->









<script type="text/javascript"><!--
google_ad_client = "pub-1525727753584386";
google_ad_width = 160;
google_ad_height = 600;
google_ad_format = "160x600_as";
google_ad_type = "text_image";
google_ad_channel = "";
google_color_border = "336699";
google_color_bg = "FFFFFF";
google_color_link = "0000FF";
google_color_text = "000000";
google_color_url = "008000";
//--></script>
<script type="text/javascript"
  src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>





</div>
</div>
EOF
    return s
  end
end


class NavBar
  public
  def top(page = nil, coding = 'euc')
    if !ENV['REQUEST_URI']
      print "No 'REQUEST_URI'\n"
      exit
    end
    page = CGI.escape(File.basename(ENV['REQUEST_URI'])) if !page
    Banner.new.head_out(page, coding)
    website_nav_header(page) if page != "index"
  end

  def bottom(page = nil, coding = 'euc', need_comment = true)
    if !ENV['REQUEST_URI']
      print "No 'REQUEST_URI'\n"
      exit
    end
    page = CGI.escape(File.basename(ENV['REQUEST_URI'])) if !page
    feedback_form(page, coding) if need_comment
    website_nav_header(page)
    website_nav_footer(page)
    copyright_out()
    Banner.new.banner_body(page, coding)
  end

  private
  def website_nav_header(pagename)
    nav_header_ary = [
        ['soft.rhtml', 'Software', './soft.rhtml'],
        ['book-list.rhtml', 'Book Support', 'book-list.rhtml'],
        ['ramble.rhtml', 'Ramble/Memo', 'ramble.rhtml'],
        ['service.rhtml', 'Services', 'service.rhtml'],
    ]
    print <<EOF
<div id="navbar">
EOF
    nav_header_ary.each {|p, t, u|
      if p && pagename == p
        print "[#{t}] "
      else
        print "<a href=\"#{u}\">[#{t}]</a> "
      end
    }
    print "</div>\n"
  end

  def website_nav_footer(pagename)
    nav_footer_ary = [
        ['profile.rhtml', 'Profile', 'profile.rhtml'],
        ['privacy.rhtml', 'Privacy Policy', 'privacy.rhtml'],
        ['copyright.rhtml', 'Legal &amp; Link', 'copyright.rhtml'],
        ['sitemap.rhtml', 'Site Map', 'sitemap.rhtml'],
        [nil, 'Send mail', 'mailto:vzw00011@nifty.ne.jp']
    ]
    print <<EOF
<div align="center" style="margin-top:3px">
EOF
    nav_footer_ary.each {|p, t, u|
      if p && pagename == p
        print "[#{t}] &nbsp;"
      else
        print "<a href=\"#{u}\">[#{t}]</a> &nbsp;"
      end
    }
    print "</div>\n"
  end

  def feedback_form(key, coding)
    s = <<EOF
<hr>
<form method="post" action="./feedback.cgi">
  <input type="hidden" name="k" value="#{key}">
  <input type="hidden" name="r" value="#{CGI.escapeHTML(ENV['HTTP_REFERER'].to_s)}">
<table align="center">
  <tr><td>このページについてのご感想・ご提案などをお寄せください。なお、コメントに「http:」、HTML aタグが含まれると送信されません。
  <tr><td>
<table border="0" style="background-color:#e0e0e0">
  <tr>
    <th align="right">評価：
    <td>
      ◎ ← <input type="radio" name="uu" value="5">
      <input type="radio" name="uu" value="4">
      <input type="radio" name="uu" value="3">
      <input type="radio" name="uu" value="2">
      <input type="radio" name="uu" value="1"> → ×
  </tr>

  <tr>
    <th align="right" nowrap>コメント：</th>
    <td>
      <textarea name="body" rows="5" cols="40"></textarea>
    </td>
  </tr>
  <tr>
    <th align="right" nowrap>お名前：</th>
    <td nowrap>
      <input type="text" name="name" size="40">
    </td>
  </tr>
  <tr>
    <th align="right">メールアドレス：</th>
    <td nowrap>
      <input type="text" name="from" size="40">
    </td>
  </tr>
  <tr>
    <td colspan="2" align="center">
      <input type="submit" value="送信">
    </td>
  </tr>
</table>
</table>
</form>
EOF
    print s
  end

  def copyright_out()
    print <<EOF
<p style="margin-bottom:0"><img src="images/banner.png" alt="banner" style="float:right"> <span style="font-family:cursive;font-weight:bold;">Netsphere Laboratories</span> http://www.nslabs.jp/
<address>
  <font face="Times New Roman">
Copyright (c) HORIKAWA Hisashi. All rights reserved.
  </font>
</address>
EOF
  end
end


class WebCounter
  def text()
    begin
      count = access_log()
    rescue
      print "<p>Access Count: (error) ", CGI.escapeHTML($!.inspect)
    else
      print "<p>Access Count: #{count}\n"
    end
  end

  def image()
    begin
      count = access_log()
    rescue
      print "(error) ", CGI.escapeHTML($@.first), "<br>", CGI.escapeHTML($!.inspect)
    else
      sprintf("%06d", count).split(//).each {|digit|
        print "<img src=\"images/#{digit}.gif\" alt=\"#{digit}\">"
      }
    end
  end

  def access_log(to_count = true)
    error = false

    now = Time.now
    logfile = WEBLOG_LOG_DIR + sprintf("/%04d%02d.log", now.year, now.mon)
    cntfile = WEBLOG_COUNTER_DIR + "/" + File.basename(ENV["SCRIPT_NAME"]) + ".counter"
    cntfile.untaint
              
    count = -1
    if to_count
      begin
        File.open(cntfile, "r+") {|fp|
          fp.flock(File::LOCK_EX)
          count = fp.gets.to_i + 1
          fp.rewind
          fp.print count, "\n"
        }
      rescue Errno::ENOENT
        error = true
      end
    end

    time = CGI.rfc1123_date(now)
    page = ENV['REQUEST_URI']
    host = ENV['REMOTE_HOST'] || get_hostname(ENV['REMOTE_ADDR'].dup.untaint)
    referer = ENV['HTTP_REFERER']
    ua = ENV['HTTP_USER_AGENT']
    File.open(logfile, "a") {|fp|
      fp.flock(File::LOCK_EX)
      fp.print [time, page, count, host, referer, ua].join("\t"), "\n"
    }

    raise Errno::ENOENT, "not found '#{cntfile}'" if error
    return count
  end
end
