#!/home/netsphere/bin/ruby
# -*- coding:utf-8 -*-

# Q's Account Book
# Copyright (c) 2002 HORIKAWA Hisashi. All rights reserved.
#   mailto:vzw00011@nifty.ne.jp
#   http://www.nslabs.jp/

require "pcview.rb"

class Form < PCView
  def set_fixed(cgi, user)
    y = cgi["year"].first.to_i
    m = cgi["mon"].first.to_i
    d = cgi["day"].first.to_i
    date = Date.new(y, m, d)

    fixed = user.user_setting.fixed_date
    return nil if date < fixed

    user.user_setting.fixed_date = date
    user.user_setting.save!

    return date
  end

  def main
    header_out(cgi, "締め処理")
    if (d = set_fixed(cgi, user))
      print "<p>#{d}に設定しました。"
    else
      print "<p>さかのぼることはできません。"
    end
    footer_out(cgi)
  end
end

run(Form.new)
