#!/home/netsphere/bin/ruby
# -*- encoding:euc-jp -*-

# Q's Account Book
# Copyright (c) 2002 HORIKAWA Hisashi. All rights reserved.
#   mailto:vzw00011@nifty.ne.jp
#   http://www.nslabs.jp/

# CSVデータをアップロードして仕訳を一括登録する。

require "pcview.rb"
require "csv"
require "nkf"

$SAFE = 1

class Form < PCView
  def main
    io = cgi["file"].first
    tmpl = get_template("csv2.html")

    while line = io.gets
      CSV::Reader.parse(line) do |row|
        cells = row.to_a
        tmpl.node("list").expand({
          "date" => cells[0],
          "num" => cells[1].to_i,
          "dr" => cells[2].to_i,
          "cr" => cells[3].to_i,
          "amount" => cells[4].to_i,
          "remarks" => CGI.escapeHTML(cells[5]),
          "comment" => CGI.escapeHTML(cells[6])
        })
      end
    end

    cgi_header_out(cgi)
    print tmpl.output
  end
end

run(Form.new)
