#!/home/netsphere/bin/ruby
# -*- coding:utf-8 -*-

# Q's Account Book
# Copyright (c) 2002 HORIKAWA Hisashi. All rights reserved.
#   mailto:vzw00011@nifty.ne.jp
#   http://www.nslabs.jp/

# 仕訳帳（仕訳の一覧表示）

require "pcview.rb"

class Form < PCView
  def main
    begin_date, end_date = UserSetting.get_ac_month(user)
    end_date = [end_date, Date.today].max
    
    model = {
      :byear => begin_date.year,
      :bmon => begin_date.mon,
      :bday => begin_date.day,
      :eyear => end_date.year,
      :emon => end_date.mon,
      :eday => end_date.day
    }
    page_out("jour.html", model)
  end
end

run(Form.new)
