#!/home/netsphere/bin/ruby
# -*- encoding:UTF-8 -*-

# Q's Account Book
# Copyright (c) 2002 HORIKAWA Hisashi. All rights reserved.
#   mailto:vzw00011@nifty.ne.jp
#   http://www.nslabs.jp/

# 勘定科目の更新。

require "pcview.rb"
require "titles-common.rb"

$SAFE = 1

class Form < PCView
  def main
    ac_titles = set_ac_titles(cgi, user)
    equity_keys = []
    ac_titles.each {|item|
      equity_keys << item.code if item.ac_type == 3
    }

    item = nil
    StrStore.new(FilePath.profile(user)).transaction_ro {|profdb|
      item = profdb["unappropriated-item"] if profdb.key?("unappropriated-item")
    }

    model = {
      :ac_sel=> menu_control("code", equity_keys, item) {|k|
                             CGI.escapeHTML(ac_titles.find_by_code(k).name)}
    }
    page_out("unappropriated.html", model)
  end
end

run(Form.new)
